#ifndef __AUDIO_RECORD_H
#define __AUDIO_RECORD_H
#include "ringbuffer.h"

/* Expected WinLen is ~4000 samples*/
#define RING_BUFFER_LEN     (8192)


fsp_err_t audio_record_init(void);
fsp_err_t audio_record_start(void);
fsp_err_t audio_record_stop(void);
size_t    uac_frame_buf_get(uint16_t *buf, uint32_t size);
size_t    uac_frame_buf_size(void);

#endif  //__AUDIO_RECORD_H
